# Fee Tiers

When providing liquidity you will receive your share of the collected fees. These get shared equally with all the liquidity providers in the pool.

Swap v3 protocol has the 1%, 0.3%, 0.05%, and 0.01% fee tiers.

When providing liquidity on Swap v3:

* In v3 the fees get collected and stored, but these fees do not get added back into the pool.
* The liquidity provider has the ability to collect these fees. They have the choice of adding the fees back into the pool or keeping the fees.
* When removing Swap v3 liquidity positions, all the fees will be removed along with the liquidity amount chosen to remove.

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lif3.com/liquidity/v3/fee-tiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
